// import 'package:imi/src/data/network/response/member_dto.dart';

// class MemberResponseList {
//   late final String? nextToken;
//   late final int total;
//   late final List<MemberDTO> data;

//   MemberResponseList({
//     required this.nextToken,
//     required this.total,
//     required this.data,
//   });

//   MemberResponseList.fromJson(dynamic json) {
//     nextToken = json["nextToken"].toString();
//     total = json["total"].toInt() ?? 0;
//     data = json["data"].map<MemberDTO>((e) => MemberDTO.fromJson(e)).toList() ??
//         [];
//   }

//   Map<String, dynamic> toJson() => <String, dynamic>{}
//     ..["nextToken"] = nextToken
//     ..["total"] = total
//     ..["data"] = this.data.map((e) => e.toJson()).toList();
// }

// ///
// /// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
// ///
// class MemberData {
// /*
// {
//   "avatarUrl": "string",
//   "userUuid": "string",
//   "phone": "string",
//   "fullName": "string",
//   "communityId": 0,
//   "status": "ACTIVE",
//   "roles": [
//     "ADMIN"
//   ]
// } 
// */

//   String? avatarUrl;
//   String? userUuid;
//   String? phone;
//   String? fullName;
//   int? communityId;
//   String? status;
//   List<String?>? roles;

//   MemberData({
//     this.avatarUrl,
//     this.userUuid,
//     this.phone,
//     this.fullName,
//     this.communityId,
//     this.status,
//     this.roles,
//   });
//   MemberData.fromJson(Map<String, dynamic> json) {
//     avatarUrl = json['avatarUrl']?.toString();
//     userUuid = json['userUuid']?.toString();
//     phone = json['phone']?.toString();
//     fullName = json['fullName']?.toString();
//     communityId = json['communityId']?.toInt();
//     status = json['status']?.toString();
//     if (json['roles'] != null) {
//       final v = json['roles'];
//       final arr0 = <String>[];
//       v.forEach((v) {
//         arr0.add(v.toString());
//       });
//       roles = arr0;
//     }
//   }
//   Map<String, dynamic> toJson() {
//     final data = <String, dynamic>{};
//     data['avatarUrl'] = avatarUrl;
//     data['userUuid'] = userUuid;
//     data['phone'] = phone;
//     data['fullName'] = fullName;
//     data['communityId'] = communityId;
//     data['status'] = status;
//     if (roles != null) {
//       final v = roles;
//       final arr0 = [];
//       v!.forEach((v) {
//         arr0.add(v);
//       });
//       data['roles'] = arr0;
//     }
//     return data;
//   }
// }

// class MemberListResponse {
// /*
// {
//   "total": 0,
//   "data": [
//     {
//       "avatarUrl": "string",
//       "userUuid": "string",
//       "phone": "string",
//       "fullName": "string",
//       "communityId": 0,
//       "status": "ACTIVE",
//       "roles": [
//         "ADMIN"
//       ]
//     }
//   ]
// } 
// */

//   int? total;
//   List<MemberData?>? data;

//   MemberListResponse({
//     this.total,
//     this.data,
//   });
//   MemberListResponse.fromJson(Map<String, dynamic> json) {
//     total = json['total']?.toInt();
//     if (json['data'] != null) {
//       final v = json['data'];
//       final arr0 = <MemberData>[];
//       v.forEach((v) {
//         arr0.add(MemberData.fromJson(v));
//       });
//       this.data = arr0;
//     }
//   }
//   Map<String, dynamic> toJson() {
//     final data = <String, dynamic>{};
//     data['total'] = total;
//     if (this.data != null) {
//       final v = this.data;
//       final arr0 = [];
//       v!.forEach((v) {
//         arr0.add(v!.toJson());
//       });
//       data['data'] = arr0;
//     }
//     return data;
//   }
// }
